SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_posicion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_posicion]
GO
CREATE PROCEDURE [reg_cat_posicion]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[posicion] AS [posicion],
		[posicion_codigo] AS [posicion_codigo],
		[id_catalogo.equipo_equipo] AS [id_catalogo.equipo_equipo],
		[id_catalogo.equipo_componente] AS [id_catalogo.equipo_componente],
		[id_dimension_x] AS [id_dimension_x],
		[id_dimension_y] AS [id_dimension_y],
		[id_dimension_z] AS [id_dimension_z]
	FROM [cat_posicion]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_cat_posicion]')) DROP VIEW [dbo].[view_cat_posicion]
GO
CREATE  VIEW [view_cat_posicion] AS
SELECT 	[cat_posicion].[id] AS [id],
		[cat_posicion].[uid] AS [uid],
		[cat_posicion].[eid] AS [eid],
		[cat_posicion].[id_usuario_modifico] AS [id_usuario_modifico],
		[cat_posicion].[id_usuario_creo] AS [id_usuario_creo],
		[cat_posicion].[fechaModificacion] AS [fechaModificacion],
		[cat_posicion].[fechaCreacion] AS [fechaCreacion],
		[cat_posicion].[active] AS [active],
		[cat_posicion].[posicion] AS [posicion],
		[cat_posicion].[posicion_codigo] AS [posicion_codigo],
		[cat_posicion].[id_catalogo.equipo_equipo] AS [id_catalogo.equipo_equipo],
[cat_catalogo.equipo_equipo].[catalogo.equipo] as [cat_catalogo.equipo_equipo_catalogo.equipo],
[cat_catalogo.equipo_equipo].[garantiaMeses] as [cat_catalogo.equipo_equipo_garantiaMeses],
[cat_catalogo.equipo_equipo].[garantiaHoras] as [cat_catalogo.equipo_equipo_garantiaHoras],
[cat_catalogo.equipo_equipo].[manejaHorometro] as [cat_catalogo.equipo_equipo_manejaHorometro],
[cat_catalogo.equipo_equipo].[id_marca] as [cat_catalogo.equipo_equipo_id_marca],
		[cat_catalogo_equipo_equipo].[catalogo_codigo] AS [cat_catalogo_equipo_equipo_catalogo_codigo],
		[cat_catalogo_equipo_equipo].[codigoInventario] AS [cat_catalogo_equipo_equipo_codigoInventario],
		[cat_catalogo_equipo_equipo].[precioVenta] AS [cat_catalogo_equipo_equipo_precioVenta],
		[cat_catalogo_equipo_equipo].[tiempoConsecucion] AS [cat_catalogo_equipo_equipo_tiempoConsecucion],
		[cat_catalogo_equipo_equipo].[esNacional] AS [cat_catalogo_equipo_equipo_esNacional],
		[cat_catalogo_equipo_equipo].[id_familia] AS [cat_catalogo_equipo_equipo_id_familia],
		[cat_catalogo_equipo_equipo].[id_subtipoCatalogo] AS [cat_catalogo_equipo_equipo_id_subtipoCatalogo],
		[cat_catalogo_equipo_equipo].[id_unidad] AS [cat_catalogo_equipo_equipo_id_unidad],
		[cat_catalogo_equipo_equipo].[id_impuesto] AS [cat_catalogo_equipo_equipo_id_impuesto],
		[cat_catalogo_equipo_equipo].[descripcion] AS [cat_catalogo_equipo_equipo_descripcion],
		[cat_catalogo_equipo_equipo].[bloquearCostear] AS [cat_catalogo_equipo_equipo_bloquearCostear],
		[cat_posicion].[id_catalogo.equipo_componente] AS [id_catalogo.equipo_componente],
[cat_catalogo.equipo_componente].[catalogo.equipo] as [cat_catalogo.equipo_componente_catalogo.equipo],
[cat_catalogo.equipo_componente].[garantiaMeses] as [cat_catalogo.equipo_componente_garantiaMeses],
[cat_catalogo.equipo_componente].[garantiaHoras] as [cat_catalogo.equipo_componente_garantiaHoras],
[cat_catalogo.equipo_componente].[manejaHorometro] as [cat_catalogo.equipo_componente_manejaHorometro],
[cat_catalogo.equipo_componente].[id_marca] as [cat_catalogo.equipo_componente_id_marca],
		[cat_catalogo_equipo_componente].[catalogo_codigo] AS [cat_catalogo_equipo_componente_catalogo_codigo],
		[cat_catalogo_equipo_componente].[codigoInventario] AS [cat_catalogo_equipo_componente_codigoInventario],
		[cat_catalogo_equipo_componente].[precioVenta] AS [cat_catalogo_equipo_componente_precioVenta],
		[cat_catalogo_equipo_componente].[tiempoConsecucion] AS [cat_catalogo_equipo_componente_tiempoConsecucion],
		[cat_catalogo_equipo_componente].[esNacional] AS [cat_catalogo_equipo_componente_esNacional],
		[cat_catalogo_equipo_componente].[id_familia] AS [cat_catalogo_equipo_componente_id_familia],
		[cat_catalogo_equipo_componente].[id_subtipoCatalogo] AS [cat_catalogo_equipo_componente_id_subtipoCatalogo],
		[cat_catalogo_equipo_componente].[id_unidad] AS [cat_catalogo_equipo_componente_id_unidad],
		[cat_catalogo_equipo_componente].[id_impuesto] AS [cat_catalogo_equipo_componente_id_impuesto],
		[cat_catalogo_equipo_componente].[descripcion] AS [cat_catalogo_equipo_componente_descripcion],
		[cat_catalogo_equipo_componente].[bloquearCostear] AS [cat_catalogo_equipo_componente_bloquearCostear],
		[cat_posicion].[id_dimension_x] AS [id_dimension_x],
[cat_dimension_x].[dimension] as [cat_dimension_x_dimension],
[cat_dimension_x].[dimension_codigo] as [cat_dimension_x_dimension_codigo],
[cat_dimension_x].[aplicaEnX] as [cat_dimension_x_aplicaEnX],
[cat_dimension_x].[aplicaEnY] as [cat_dimension_x_aplicaEnY],
[cat_dimension_x].[aplicaEnZ] as [cat_dimension_x_aplicaEnZ],
		[cat_posicion].[id_dimension_y] AS [id_dimension_y],
[cat_dimension_y].[dimension] as [cat_dimension_y_dimension],
[cat_dimension_y].[dimension_codigo] as [cat_dimension_y_dimension_codigo],
[cat_dimension_y].[aplicaEnX] as [cat_dimension_y_aplicaEnX],
[cat_dimension_y].[aplicaEnY] as [cat_dimension_y_aplicaEnY],
[cat_dimension_y].[aplicaEnZ] as [cat_dimension_y_aplicaEnZ],
		[cat_posicion].[id_dimension_z] AS [id_dimension_z],
[cat_dimension_z].[dimension] as [cat_dimension_z_dimension],
[cat_dimension_z].[dimension_codigo] as [cat_dimension_z_dimension_codigo],
[cat_dimension_z].[aplicaEnX] as [cat_dimension_z_aplicaEnX],
[cat_dimension_z].[aplicaEnY] as [cat_dimension_z_aplicaEnY],
[cat_dimension_z].[aplicaEnZ] as [cat_dimension_z_aplicaEnZ],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [cat_posicion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_posicion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_posicion].[id_usuario_creo]
	INNER JOIN [cat_catalogo.equipo] AS [cat_catalogo.equipo_equipo] ON [cat_catalogo.equipo_equipo].id=[cat_posicion].[id_catalogo.equipo_equipo]
	INNER JOIN [cat_catalogo] aS  [cat_catalogo_equipo_equipo] ON [cat_catalogo.equipo_equipo].id = [cat_catalogo_equipo_equipo].id
	INNER JOIN [cat_catalogo.equipo] AS [cat_catalogo.equipo_componente] ON [cat_catalogo.equipo_componente].id=[cat_posicion].[id_catalogo.equipo_componente]
	INNER JOIN [cat_catalogo] aS  [cat_catalogo_equipo_componente] ON [cat_catalogo.equipo_componente].id = [cat_catalogo_equipo_componente].id
	INNER JOIN [cat_dimension] AS [cat_dimension_x] ON [cat_dimension_x].id=[cat_posicion].[id_dimension_x]
	INNER JOIN [cat_dimension] AS [cat_dimension_y] ON [cat_dimension_y].id=[cat_posicion].[id_dimension_y]
	INNER JOIN [cat_dimension] AS [cat_dimension_z] ON [cat_dimension_z].id=[cat_posicion].[id_dimension_z]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [cat_posicion].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [cat_posicion].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXusuario_modifico]
GO
CREATE PROCEDURE [sel_cat_posicionesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXusuario_creo]
GO
CREATE PROCEDURE [sel_cat_posicionesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXcatalogo_equipo_equipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXcatalogo_equipo_equipo]
GO
CREATE PROCEDURE [sel_cat_posicionesXcatalogo_equipo_equipo]
	@p_id_catalogo_equipo_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_catalogo.equipo_equipo]= @p_id_catalogo_equipo_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXcatalogo_equipo_componente]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXcatalogo_equipo_componente]
GO
CREATE PROCEDURE [sel_cat_posicionesXcatalogo_equipo_componente]
	@p_id_catalogo_equipo_componente INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_catalogo.equipo_componente]= @p_id_catalogo_equipo_componente)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_x]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_x]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_x]
	@p_id_dimension_x INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_dimension_x]= @p_id_dimension_x)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_y]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_y]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_y]
	@p_id_dimension_y INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_dimension_y]= @p_id_dimension_y)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_z]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_z]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_z]
	@p_id_dimension_z INT
AS
BEGIN
	SELECT * 
	FROM [view_cat_posicion]
	WHERE ([id_dimension_z]= @p_id_dimension_z)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posiciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posiciones]
GO
CREATE PROCEDURE [sel_cat_posiciones]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_posicion]
WHERE ' + @p_filtro + ' ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_posiciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_posiciones]
GO
CREATE PROCEDURE [lis_cat_posiciones]
	AS
BEGIN
	SELECT id AS id,
[posicion] AS [cat_posicion]
	FROM [cat_posicion]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_cat_posicion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_cat_posicion]
GO
CREATE PROCEDURE [upd_cat_posicion]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_posicion varchar(300) = null,
		@p_posicion_codigo varchar(100) = null,
		@p_id_catalogo_equipo_equipo int = null,
		@p_id_catalogo_equipo_componente int = null,
		@p_id_dimension_x int = null,
		@p_id_dimension_y int = null,
		@p_id_dimension_z int = null
AS
BEGIN
		UPDATE [cat_posicion]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[posicion] = isnull(@p_posicion,[posicion]),
			[posicion_codigo] = isnull(@p_posicion_codigo,[posicion_codigo]),
			[id_catalogo.equipo_equipo] = isnull(@p_id_catalogo_equipo_equipo,[id_catalogo.equipo_equipo]),
			[id_catalogo.equipo_componente] = isnull(@p_id_catalogo_equipo_componente,[id_catalogo.equipo_componente]),
			[id_dimension_x] = isnull(@p_id_dimension_x,[id_dimension_x]),
			[id_dimension_y] = isnull(@p_id_dimension_y,[id_dimension_y]),
			[id_dimension_z] = isnull(@p_id_dimension_z,[id_dimension_z])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_cat_posicion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_cat_posicion]
GO
CREATE PROCEDURE [ins_cat_posicion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_posicion varchar(300),
		@p_posicion_codigo varchar(100),
		@p_id_catalogo_equipo_equipo int,
		@p_id_catalogo_equipo_componente int,
		@p_id_dimension_x int,
		@p_id_dimension_y int,
		@p_id_dimension_z int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [cat_posicion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[posicion],
			[posicion_codigo],
			[id_catalogo.equipo_equipo],
			[id_catalogo.equipo_componente],
			[id_dimension_x],
			[id_dimension_y],
			[id_dimension_z])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_posicion,
			@p_posicion_codigo,
			@p_id_catalogo_equipo_equipo,
			@p_id_catalogo_equipo_componente,
			@p_id_dimension_x,
			@p_id_dimension_y,
			@p_id_dimension_z)
		SET @v_id = scope_identity()
UPDATE [cat_posicion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_cat_posicion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_cat_posicion]
GO
CREATE PROCEDURE [act_cat_posicion]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [cat_posicion]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_cat_posicion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_cat_posicion_m]
GO
CREATE PROCEDURE [reg_cat_posicion_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[posicion] AS [posicion],
		[posicion_codigo] AS [posicion_codigo],
		[id_catalogo.equipo_equipo] AS [id_catalogo.equipo_equipo],
		[id_catalogo.equipo_componente] AS [id_catalogo.equipo_componente],
		[id_dimension_x] AS [id_dimension_x],
		[id_dimension_y] AS [id_dimension_y],
		[id_dimension_z] AS [id_dimension_z]
	FROM [cat_posicion]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXcatalogo_equipo_equipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXcatalogo_equipo_equipo_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXcatalogo_equipo_equipo_m]
	@p_id_catalogo_equipo_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_catalogo.equipo_equipo]= @p_id_catalogo_equipo_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXcatalogo_equipo_componente_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXcatalogo_equipo_componente_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXcatalogo_equipo_componente_m]
	@p_id_catalogo_equipo_componente INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_catalogo.equipo_componente]= @p_id_catalogo_equipo_componente)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_x_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_x_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_x_m]
	@p_id_dimension_x INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_dimension_x]= @p_id_dimension_x)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_y_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_y_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_y_m]
	@p_id_dimension_y INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_dimension_y]= @p_id_dimension_y)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posicionesXdimension_z_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posicionesXdimension_z_m]
GO
CREATE PROCEDURE [sel_cat_posicionesXdimension_z_m]
	@p_id_dimension_z INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_cat_posicion]
	WHERE ([id_dimension_z]= @p_id_dimension_z)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_cat_posiciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_cat_posiciones_m]
GO
CREATE PROCEDURE [sel_cat_posiciones_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_cat_posicion]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_cat_posiciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_cat_posiciones_m]
GO
CREATE PROCEDURE [lis_cat_posiciones_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[posicion] AS [cat_posicion]
	FROM [cat_posicion]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_cat_posicion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_cat_posicion]
GO
CREATE PROCEDURE [aud_cat_posicion]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [cat_posicion].id as id_tabla,
	[cat_posicion].id_usuario_modifico as id_usuario_modifico,
	[cat_posicion].id_usuario_creo as id_usuario_creo,
	[cat_posicion].fechaModificacion as fechaModificacion,
	[cat_posicion].fechaCreacion as fechaCreacion,
	[cat_posicion].active as active,
	[cat_posicion].[posicion] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [cat_posicion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[cat_posicion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[cat_posicion].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'cat_posicion'
-----------------------------------01/08/2012 11:44:49 a.m.